Package org.eclipse.birt.chart.model.data

# Interface BaseSampleData

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `BaseSampleDataImpl`

public interface BaseSampleData extends IChartObject
A representation of the model object 'Base Sample Data'. This type sample data for a base series.

The following features are supported:

- `Data Set Representation`

See Also:
  - `DataPackage.getBaseSampleData()`

## Method Summary

Modifier and Type
Method
Description
`BaseSampleData`
`copyInstance()`
`String`
`getDataSetRepresentation()`
Returns the value of the 'Data Set Representation' attribute.
`void`
`setDataSetRepresentation(String value)`
Sets the value of the '`Data Set Representation`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getDataSetRepresentation

String getDataSetRepresentation()
Returns the value of the 'Data Set Representation' attribute. Holds the sample data for a single data set as a string in the form expected by the DataSetProcessor for the series.

Returns:
  the value of the 'Data Set Representation' attribute.
See Also:
  - `setDataSetRepresentation(String)`
  - `DataPackage.getBaseSampleData_DataSetRepresentation()`

### setDataSetRepresentation

void setDataSetRepresentation(String value)
Sets the value of the '`Data Set Representation`' attribute.

Parameters:
  `value` - the new value of the 'Data Set Representation' attribute.
See Also:
  - `getDataSetRepresentation()`

### copyInstance

BaseSampleData copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`